Skip to content

Manage certificates using self-service API calls

To manage certificates:

API Cloud provides the following self-service developer APIs for managing Truststore certificates.

Use the following APIs to manage certificates:

Update certificates

To update certificates on Truststore:

Make the following API call:.

API CALL:

PUT https://{basepath}/core-console/1.0/publisher/truststores/environments/<ENV>/upload

ENV - Environment name (dev/qa/stage or prod)

HEADERS:

  • Accept: application/json

This may be automatically added by your development tool. Postman and Curl add this header to all requests.

  • Authorization: Bearer {bearer token}

Include Trimble Identity OAuth Bearer token for your application (see get access token instructions for more information).

  • certId: multipart/form-data. Denotes the .

    • **certFile**: multipart/form-data holds the valid certificate file that needs to be updated either a single cert or one cert bundle (recommended certificate file in PEM format)
    • **description**: multipart/form-data

SAMPLE RESPONSE

{
  "certId": "<TEAMNAME>_69c90453-7737-11eb-9c65-9791f75ef74a",
  "certsInfo": {
      "certInfo": [
          {
             //certificate informations
          }
      ],
      "certName": "<TEAMNAME>_69c90453-7737-11eb-9c65-9791f75ef74a-cert"
  }
  }

List certificates uploaded by team

To list certificate IDs by team:

Make the following API call:

API CALL:

GET https://{basepath}/core-console/1.0/publisher/truststores/environments//certIds

ENV - Environment name (dev/qa/stage or prod)

HEADERS:

  • Accept: application/json

This may be automatically added by your development tool. Postman and Curl add this header to all requests.

  • Authorization: Bearer {bearer token}

Include Trimble Identity OAuth Bearer token for your application (see get access token instructions for more information).

SAMPLE RESPONSE

[
      {
      "certId": "<TEAMNAME>_6245b47b-7726-11eb-a540-b5bb05965143",
      "description": "cert for *.dev.api.cloud.com",
      "created": "2021-02-25T10:30:35",
      "updated": "2021-02-25T10:30:35"
      },
      {
      "certId": "<TEAMNAME>_8259ae1c-7726-11eb-a540-4765bb254555",
      "description": "cert for *.dev.api.cloud.com",
      "created": "2021-02-25T10:31:33",
      "updated": "2021-02-25T10:31:33"
      }
  ]

List certificate information by Certificate ID

To list certificate info by Certificate ID:

Make the following API call:.

API CALL:

GET https://{basepath}/core-console/1.0/publisher/truststores/organizations//environments//certs/<CERT_ID>

ENV - Environment name (dev/qa/stage or prod)
CERT_ID - ID of the certificate that was uploaded the apigee truststore (TEAMNAME_[GUID A universally unique identifier (UUID) is a 128-bit label used for information in computer systems. The term globally unique identifier (GUID) is also used.**)

HEADERS:

  • Accept: application/json

This may be automatically added by your development tool. Postman and Curl add this header to all requests.

  • Authorization: Bearer {bearer token}

Include Trimble Identity OAuth Bearer token for your application (see get access token instructions for more information).

SAMPLE RESPONSE

{
  "certId": "<TEAMNAME>_8259ae1c-7726-11eb-a540-4765bb254555",
  "certsInfo": {
      "certInfo": [
          {
              //certificate1 information
          },
          {
              //certificate2 information
          }
      ],
      "certName": "<TEAMNAME>_8259ae1c-7726-11eb-a540-4765bb254555-cert"
  }
 }